package gov.va.vss.persistence.queryCustomization.fieldTypes.lookup.sds;

import gov.va.shared.model.lookup.sds.VAFacilityType;
import gov.va.vss.persistence.queryCustomization.fieldTypes.ModelAssociationFieldType;

public enum FacilityTypeAssociationFieldType implements ModelAssociationFieldType {
	INSTITUTION_LIST("institutionList");

	private String fieldName;

	private FacilityTypeAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return VAFacilityType.class;
	}

}